<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('claim_services', function (Blueprint $table) {
            $table->id();
            $table->bigInteger('claim_request_id');
            $table->bigInteger('service_id');
            $table->bigInteger('hospital_id');
            $table->dateTime('addmission_date');
            $table->dateTime('discharge_date');
            $table->bigInteger('created_by')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('claim_services');
    }
};
